
%global modname pytest-catchlog
%global altname pytest_catchlog

Name:               python-%{modname}
Version:            1.2.2
Release:            3%{?dist}
Summary:            py.test plugin to catch log messages (fork of pytest-capturelog)
Group:              Development/Libraries
License:            MIT

Source0:            https://files.pythonhosted.org/packages/source/p/%{modname}/%{modname}-%{version}.zip
URL:                https://github.com/eisensheng/pytest-catchlog
BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools
BuildRequires:      python-py
BuildRequires:      pytest
BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-setuptools
BuildRequires:      python%{python3_pkgversion}-py
BuildRequires:      python%{python3_pkgversion}-pytest

%description
py.test plugin to catch log messages. This is a fork of pytest-capturelog.

%package -n python2-%{modname}
Summary:            %{summary}
%{?python_provide:%python_provide python2-%{modname}}

%description -n python2-%{modname}
py.test plugin to catch log messages. This is a fork of pytest-capturelog.
Python 2 version.

%package -n python%{python3_pkgversion}-%{modname}
Summary:            %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{modname}}

%description -n python%{python3_pkgversion}-%{modname}
py.test plugin to catch log messages. This is a fork of pytest-capturelog.
Python %{python3_version} version.

%prep
%autosetup -n %{modname}-%{version}
rm -rf *.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
export PYTHONPATH=$(pwd)

py.test-%{python_version} -v test_pytest_catchlog.py
py.test-%{python3_version} -v test_pytest_catchlog.py


%files -n python2-%{modname}
%doc CHANGES.rst README.rst
%license LICENSE.txt
%{python2_sitelib}/%{altname}.py*
%{python2_sitelib}/%{altname}-*.egg-info/

%files -n python%{python3_pkgversion}-%{modname}
%doc CHANGES.rst README.rst
%license LICENSE.txt
%{python3_sitelib}/__pycache__/%{altname}.*
%{python3_sitelib}/%{altname}.py
%{python3_sitelib}/%{altname}-*.egg-info/


%changelog
* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2.2-3
- Rebuild for Python 3.6

* Thu Aug 04 2016 Denis Fateyev <denis@fateyev.com> - 1.2.2-2
- Added test suite

* Fri Jul 08 2016 Denis Fateyev <denis@fateyev.com> - 1.2.2-1
- Initial Fedora release
